# Dockerfiles for base images used in KM3NeT

This repository contains `Dockerfiles` commonly used as base images for
KM3NeT software.

To see a list of all available Docker images in our Docker registry,
visit https://common.pages.km3net.de/dockerlist/index.html

The images are automatically built and pushed to the `docker.km3net.de`
repository under the `base` namespace, which means e.g. the image for
the `Dockerfile` `base/python:3` can be accessed by using the URL
`docker.km3net.de/base/python:3`.

To start up container and fire up a shell within, use the usual `docker`
commands like:

    docker run -it docker.km3net.de/base/centos:7

It is recommended to use these images in your `~/.gitlab-ci.yml` file for
continuous integrations instead of the public images from DockerHub.

